summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorDan Halbert <halbert@halwitz.org>2018-09-18 22:21:29 -0400
committerDan Halbert <halbert@halwitz.org>2018-09-18 22:21:29 -0400
commitcf3b40207e107a0b31b87db3f08d88d6cb0e5063 (patch)
treec9e1a2ac01faeb2375a209d6bf85115da7aac2a7 /tools
parent56b7f3ba6404b44c5a5c389cbeabf1a396021b0f (diff)
add pca10059 properly to build_adafruit_bins.sh; modernize that script; update translations (again)
Diffstat (limited to 'tools')
-rwxr-xr-xtools/build_adafruit_bins.sh31
1 files changed, 14 insertions, 17 deletions
diff --git a/tools/build_adafruit_bins.sh b/tools/build_adafruit_bins.sh
index e7b9644aa..595d5ba5d 100755
--- a/tools/build_adafruit_bins.sh
+++ b/tools/build_adafruit_bins.sh
@@ -1,3 +1,5 @@
+#!/usr/bin/env bash
+
rm -rf ports/atmel-samd/build*
rm -rf ports/esp8266/build*
rm -rf ports/nrf/build*
@@ -34,25 +36,25 @@ trinket_m0 \
ROSIE_SETUPS="rosie-ci"
PARALLEL="-j 5"
-if [ "$TRAVIS" == "true" ]; then
+if [[ "$TRAVIS" == "true" ]]; then
PARALLEL="-j 2"
fi
-if [ -z "$TRAVIS_BOARD" ]; then
+if [[ -z "$TRAVIS_BOARD" ]]; then
boards=$HW_BOARDS
else
boards=$TRAVIS_BOARD
fi
version=`git describe --tags --exact-match`
-if [ $? -ne 0 ]; then
+if [[ $? -ne 0 ]]; then
version=`date +%Y%m%d`-`git rev-parse --short HEAD`
fi
-if [ "$TRAVIS" == "true" ]; then
+if [[ "$TRAVIS" == "true" ]]; then
sha=$TRAVIS_COMMIT
- if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
+ if [[ "$TRAVIS_PULL_REQUEST" != "false" ]]; then
version=`date +%Y%m%d`-`echo $TRAVIS_PULL_REQUEST_SHA | cut -c1-7`
sha=$TRAVIS_PULL_REQUEST_SHA
fi
@@ -64,23 +66,18 @@ for board in $boards; do
for language_file in $(ls locale/*.po); do
language=$(basename -s .po $language_file)
echo "Building $board for $language"
- if [ $board == "feather_huzzah" ]; then
- make $PARALLEL -C ports/esp8266 TRANSLATION=$language BOARD=feather_huzzah
+ if [[ $board == "feather_huzzah" ]]; then
+ make $PARALLEL -C ports/esp8266 TRANSLATION=$language BOARD=$board
(( exit_status = exit_status || $? ))
temp_filename=ports/esp8266/build/firmware-combined.bin
extension=bin
- elif [ $board == "feather_nrf52832" ]; then
- make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=feather_nrf52832
+ elif [[ $board == "feather_nrf52832" ]]; then
+ make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=$board
(( exit_status = exit_status || $? ))
temp_filename=ports/nrf/build-$board-s132/firmware.bin
extension=bin
- elif [ $board == "feather_nrf52840_express" ]; then
- make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=feather_nrf52840_express SD=s140
- (( exit_status = exit_status || $? ))
- temp_filename=ports/nrf/build-$board-s140/firmware.uf2
- extension=uf2
- elif [ $board == "pca10056" ]; then
- make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=pca10056 SD=s140
+ elif [[ $board == "feather_nrf52840_express" || $board == "pca10056" || $board == "pca10059" ]]; then
+ make $PARALLEL -C ports/nrf TRANSLATION=$language BOARD=$board SD=s140
(( exit_status = exit_status || $? ))
temp_filename=ports/nrf/build-$board-s140/firmware.uf2
extension=uf2
@@ -96,7 +93,7 @@ for board in $boards; do
cp $temp_filename $final_filename
(( exit_status = exit_status || $? ))
# Only upload to Rosie if its a pull request.
- if [ "$TRAVIS" == "true" ]; then
+ if [[ "$TRAVIS" == "true" ]]; then
for rosie in $ROSIE_SETUPS; do
echo "Uploading to https://$rosie.ngrok.io/upload/$sha"
curl -F "file=@$final_filename" https://$rosie.ngrok.io/upload/$sha